Can't reload '...../MAT​LAB/R2017b​/bin/glnxa​64/libmwsl​_graphical​_classes.s​o' in Suse 11 sp4 Linux

9 views (last 30 days)
I get the following error when trying to open a Simulink model in R2017b/R2018a in Suse 11 sp4 Linux. Can't reload 'usr/local/MATLAB/R2017b/bin/glnxa64/libmwsl_graphical_classes.so'
I did an ldd on that library and everything seems to be fine. Any reason why this occurs and a way to resolve this?

Answers (2)

Sindhu Yerragunta
Sindhu Yerragunta on 18 Jun 2018

Scott Dorsey
Scott Dorsey on 16 Dec 2022
We had a Centos 7 system which was upgraded to Oracle Linux 8 using leapp and seems to be a standard configuration. Later versions of Simulink work but R2017b gives me "Can't reload '/usr/local/MATLAB/R2017b/bin/glnx/libmwsl_graphical_classes.so'" when I attempt to use it.
The package nss-3.79.0-10.el8_6.x86_64 is installed on the system and the file /usr/lib64/libnss3.so is there, so I don't see how this can be an nss3 library issue... but maybe! Any suggestions about what might be preventing it from loading or a reasonable workaround?
--scott

Categories

Find more on Install Products in Help Center and File Exchange

Products


Release

R2017b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!